## petsc4py 0.7.5

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	home_install home_uninstall \
         install_home uninstall_home \
         insthome uinsthome \
+        epydoc pylint \
 	sdist \
 	clean distclean
 
@@ -32,11 +33,22 @@
 build:
 	${PYTHON} setup.py build
 
+test:
+	${PYTHON} tests/runalltests.py
+
 install: build
 	su -c '${PYTHON} setup.py install'
 
 sdist:
 	${PYTHON} setup.py sdist
+
+epydoc:
+	${RM} -r /tmp/${PACKAGE}-doc
+	epydoc --verbose --config=epydoc.cfg --output=/tmp/${PACKAGE}-doc
+pylint:
+	export PYLINTRC=${PWD}/pylint.cfg; \
+	pylint --disable-msg=W0142,W0232,W1001,E1002 petsc/
+#	pylint --rcfile ./pyling.cfg --disable-msg=W0142,W0232,W1001,E1002 petsc
 
 home_install:
 	${PYTHON} setup.py install --home=${HOME}
@@ -45,14 +57,21 @@
 
 home_uninstall:
 	-${RM} -r ${HOME}/lib/python/$(shell ${PYTHON} setup.py --name)
+	-${RM} -r ${HOME}/lib/python/$(shell ${PYTHON} setup.py --name)-*-py*.egg-info
+
 uninstall_home: home_uninstall
 uinsthome:  home_uninstall
 
 
 clean:
 	${PYTHON} setup.py clean --all
+	-${RM} configure/*.py[co]
+	-${MAKE} -C docs clean
 
-distclean: clean
-	-${RM} -r build dist MANIFEST *~
-	-cd configure && ${RM} *.pyc *.pyo
-	-cd docs && ${MAKE} distclean
+
+distclean: clean 
+	-${RM} -r build
+	-${RM} -r MANIFEST dist petsc4py.egg-info
+	-${MAKE} -C docs distclean
+	-${RM} `find . -name '*~'`
+	-${RM} `find . -name '*.py[co]'`
