=== debian/changelog ===
petsc4py (3.7.0-3build2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:17 +0000

petsc4py (3.7.0-3build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:26:33 +0000

petsc4py (3.7.0-3) unstable; urgency=medium

  * Add python3 support via python3-petsc4py. Closes: #862110.
  * Use pybuild when building with debhelper (dh).
  * Move documentation and examples to python-petsc4py-docs.

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 May 2017 14:49:41 +0800

petsc4py (3.7.0-2) unstable; urgency=medium

  * Release petsc4py 3.7 to unstable.

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2016 16:47:33 +0800

petsc4py (3.7.0-1exp1) experimental; urgency=medium

  * New upstream version.
  * Fixed debian/watch to let uscan show latest version

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Jul 2016 22:59:10 +0800

petsc4py (3.6.0-2) unstable; urgency=medium

  * include human-readable source and copyright statements for
    external scripts jquery.js and underscore.js in docs/usrman/_static
  * Standards-Version: 3.9.8

 -- Drew Parsons <dparsons@debian.org>  Mon, 04 Jul 2016 01:07:39 +0800

petsc4py (3.6.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Drew Parsons ]
  * New upstream version 3.6.0 (https://bitbucket.org/petsc/petsc4py)
    Closes: #691266.
  * Move package maintenance to Debian Science (alongside PETSc)
  * Standards-Version: 3.9.6

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Oct 2015 14:53:53 +0800

petsc4py (1.1-2) unstable; urgency=low

  * Team upload.
  * debian/{control, rules}
    - proper support python-numpy upgrades, calling dh_numpy to generate the
      correct Depends and tighting the b-d on python-numpy; Closes: #590756

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 04 Aug 2010 22:04:11 +0200

petsc4py (1.1-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Provides: ${python:Provides} added

  [ Sandro Tosi ]
  * New upstream release.
  * debian/control
    - uniforming Vcs-Browser field
    - switch Vcs-Browser field to viewsvn
    - removed Ondrej from Uploaders: thanks for your work!
    - removed DM-U-F field
    - added b-d for libhdf5-openmpi-dev
    - tighten b-d on petsc-dev
  * debian/rules
    - install 'demo' dir as examples

  [ Luca Falavigna ]
  * debian/patches/openmpi.patch:
    - refresh for new upstream release.
  * debian/control:
    - Replace libpetsc2.3.3-dev with petsc-dev (Closes: #529478, #522771).
    - Remove petsc-dev package from Depends, no longer needed.
    - Drop -1 revision from python-numpy and petsc-dev build-dependencies.
    + Bump Standards-Version to 3.8.2:
      - Add debian/README.source to document quilt usage.
  * debian/rules:
    - Export PETSC_DIR and PETSC_ARCH environment variables.
    - Change chrpath shared object path accordingly.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 11 May 2010 11:12:30 +0200

petsc4py (0.7.5-5) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed
  * pycentral changed to pysupport
  * moved from dpatch to quilt
  * Debian Policy version updated
  * sources were patched with Manuel's patch to compile against the latest
    openmpi (Closes: #456869)
  * encoding of debian/copyright converted to UTF-8 (fixes lintian warning)

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Dec 2007 17:47:06 +0100

petsc4py (0.7.5-4) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Svn, Vcs-Browser and Homepage fields added
  * Add DM-Upload-Allowed: yes

  [ Ondrej Certik ]
  * Compiled against the latest revision of petsc, to link correctly with
    openmpi

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 29 Nov 2007 23:27:37 +0100

petsc4py (0.7.5-3) unstable; urgency=low

  * python-petsc4py: Needs to be in Extra (Closes: #441262)
  * added libpetsc2.3.3-dev to runtime depends, otherwise the pesc4py won't
    import in python

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 14 Sep 2007 15:35:39 +0200

petsc4py (0.7.5-2) unstable; urgency=low

  * Renamed the binary package to python-petsc4py to conform with the Debian
    Policy 

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 13:43:45 +0200

petsc4py (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Depends on libpetsc2.3.3-dev
  * Removed patches (not needed anymore)
  * debian/rules: set PETSC_DIR and PETSC_ARCH during the installing phase as
    well (refuses to install otherwise)
  * removing RPATH using chrpath (fixes lintian warnings)

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 10:27:53 +0200

petsc4py (0.7.4-1oc2) UNRELEASED; urgency=low

  * Built against the unofficial libpetsc2.3.3, which is not yet in Debian

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 22 Jul 2007 17:17:49 +0200

petsc4py (0.7.4-1oc1) UNRELEASED; urgency=low

  * Use petsc compiled against LAM, instead of MPICH. Added Build-Depends 
    on libpetsc2.3.2-dev (>= 2.3.2-3oc1), which is not yet in Debian.

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 07 Jul 2007 15:01:06 +0200

petsc4py (0.7.4-1) unstable; urgency=low

  * New upstream version
  * Updated the dpatches for the new release
  * fixed debian/rules to compile the new release

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 25 Jun 2007 02:18:04 +0200

petsc4py (0.7.3-2) unstable; urgency=medium

  * Patched the build system to work with python-numpy 1.0.3 (Closes: #427196)
    - dpatch added to Build-Depends

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 03 Jun 2007 11:11:54 +0200

petsc4py (0.7.3-1) unstable; urgency=low

  * Initial Debian release (closes: #420489) 

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 13 May 2007 03:22:57 +0200
