=== debian/control ===
Source: petsc4py
Section: python
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-python,
 python-all-dev (>=2.3.5-11), python3-all-dev,
 cython, cython3,
 python-numpy (>= 1:1.4.1-4~), python3-numpy,
 libpetsc3.7-dev, chrpath,
 mpi-default-dev, libhdf5-openmpi-dev
X-Python-Version: >= 2.6
Homepage: https://bitbucket.org/petsc/petsc4py
Vcs-Git: git://anonscm.debian.org/debian-science/packages/petsc4py.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/petsc4py.git/

Package: python-petsc4py
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-petsc4py-docs
Conflicts: python-petsc
Replaces: python-petsc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python 2 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 2 bindings to almost all functions of PETSc.

Package: python3-petsc4py
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-petsc4py-docs
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc.

Package: python-petsc4py-docs
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-petsc4py | python3-petsc4py
Conflicts: python-petsc
Breaks: python-petsc4py (<< 3.7.0-3)
XB-Python-Version: ${python:Versions}
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.
