## petsc4py 3.9.1

=== debian/changelog ===
petsc4py (3.9.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * add redirect.html to lintian source-is-missing overrides
    (false positive, it has a long line)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 20:44:29 +0800

petsc4py (3.9.1-1exp1) experimental; urgency=medium

  * New upstream version.
  * debian/control: remove X-Python-Version: >= 2.6
    (obsolete, see Debian Python Policy 3.4)

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 May 2018 22:55:05 +0800

petsc4py (3.9.0-1exp1) experimental; urgency=medium

  * New upstream version.
    - Build-Depends: python >= 2.6 and >= 3.3, cython >= 0.22
  * Standards-Version: 4.1.4
  * debian/rules: read required PETSc version from petsc4py version.

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 17:04:54 +0800

petsc4py (3.8.1-5) unstable; urgency=medium

  * Build-Depends: libhdf5-mpi-dev. Closes: #897075.
  * Standards-Version: 4.1.4

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 May 2018 16:14:42 +0800

petsc4py (3.8.1-4) unstable; urgency=medium

  * d/rules: adjust python build path to PETSc*.so to remove RUNPATH
    (allow for backports, whether python* or cpython*)
  * set Vcs-Git to https to allow cloning by all

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Apr 2018 11:25:45 +0800

petsc4py (3.8.1-3) unstable; urgency=medium

  * update VCS tags to salsa.debian.org
  * d/rules: update path to PETSc*.so to remove RUNPATH (python build
    infrastructure has changed). Closes: #893653.
  * Build-Depends: python3-distutils

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Mar 2018 09:26:49 +0800

petsc4py (3.8.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Mar 2018 09:06:33 +0800

petsc4py (3.8.1-1exp2) experimental; urgency=medium

  * debian/rules: the dh_installdocs override applies to build-indep
    only (otherwise, building build-arch only fails)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 16:55:02 +0800

petsc4py (3.8.1-1exp1) experimental; urgency=medium

  * New upstream version.

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Feb 2018 10:48:11 +0800

petsc4py (3.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
  * Remove docs package dependency on python (python-numpy)
  * Standards-Version: 4.1.1
  * debhelper compatibility level 10
  * Remove debian patch include_external_source: javascript source now
    provided in upstream tarball.
  * debian/control Priority: optional.
  * place docs package in Section: doc
  * Link docs to system javascript from libjs-jquery, libjs-underscore

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Nov 2017 15:30:35 +0800
