=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: petsc4py
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-python,
- python-all-dev (>=2.3.5-11), python3-all-dev,
- cython, cython3,
+Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 11), dh-python,
+ python-all-dev (>= 2.6), python3-all-dev (>= 3.3),
+ python3-distutils,
+ cython (>= 0.22), cython3 (>= 0.22),
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libpetsc3.7-dev, chrpath,
- mpi-default-dev, libhdf5-openmpi-dev
-X-Python-Version: >= 2.6
+ libpetsc-real3.9-dev, chrpath,
+ mpi-default-dev, libhdf5-mpi-dev,
+ libjs-jquery (>= 3.1.0),
+ libjs-underscore (>= 1.3.1)
 Homepage: https://bitbucket.org/petsc/petsc4py
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/petsc4py.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/petsc4py.git/
+Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
+Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
 
 Package: python-petsc4py
 Architecture: any
@@ -44,7 +46,8 @@
 
 Package: python-petsc4py-docs
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Section: doc
+Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-petsc4py | python3-petsc4py
 Conflicts: python-petsc
 Breaks: python-petsc4py (<< 3.7.0-3)
