=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,12 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-PETSC_VERSION=3.7$(PETSC_EXT)
+DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+
+# use only major.minor as PETSc version (not major.minor.patch)
+PETSC_VERSION=$(shell echo $(DEB_UPSTREAM_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
 export PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -36,10 +41,17 @@
 	PETSC_DIR=$(PETSC_DIR)  dh_auto_build
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
-	chrpath -d .pybuild/pythonX.Y_*/build/petsc4py/lib/PETSc*.so
+	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so
 
 override_dh_auto_install:
 	PETSC_DIR=$(PETSC_DIR)  dh_auto_install
+
+override_dh_installdocs-indep:
+	dh_installdocs
+	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery*.js
+	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery.js
+	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore*.js
+	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore.js
 
 override_dh_python2:
 	dh_python2
