## petsc4py 3.10.1

=== debian/changelog ===
petsc4py (3.10.1-1) unstable; urgency=medium

  * New upstream release
    - applies demo_poisson3d_1821d0c.patch,
      petsc_3.10.3_removed_SNESTEST_a013d13.patch
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jan 2019 01:15:40 +0800

petsc4py (3.10.0-5) unstable; urgency=medium

  * new patch underlinking_fix.patch avoids underlinking when
    wl,asneeded flags are in use. Thanks Gianfranco Costamagna.
    Closes: #917882.

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Dec 2018 12:38:29 +0100

petsc4py (3.10.0-4) unstable; urgency=medium

  * force regeneration of cython .c files (--force option for build
    [build_src] action). Closes: #917598.

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Dec 2018 02:03:07 +0100

petsc4py (3.10.0-3) unstable; urgency=medium

  * add patch petsc_3.10.3_removed_SNESTEST_a013d13.patch to apply
    upstream commit a013d13. Fixes build after PETSc 3.10.3 removed
    SNESTEST. Closes: #917598.
  * Standards-Version: 4.3.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Dec 2018 18:22:48 +0100

petsc4py (3.10.0-2) unstable; urgency=medium

  * remove alternatives links when packages are removed.
    Closes: #915684.

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 14:08:11 +0100

petsc4py (3.10.0-1exp3) experimental; urgency=medium

  * run chrpath on PETSc*.so and install python modules only for binary
    arch builds

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2018 01:26:34 +0800

petsc4py (3.10.0-1exp2) experimental; urgency=medium

  * Build-Depends: libpetsc-complex3.10-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Nov 2018 20:54:06 +0800

petsc4py (3.10.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies demo_perftest_efcb00a.patch
  * Provide python3-petsc4py-complex with complex number support.
    - Real number support is provided by python3-petsc4py-real
    - python3-petsc4py is now a dummy package depending on either
    - use alternatives to handle preferred petsc4py

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 22:48:17 +0800

petsc4py (3.9.1-5) unstable; urgency=medium

  * python[3]-petsc4py Depends: swig

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Sep 2018 08:47:25 +0800

petsc4py (3.9.1-4) unstable; urgency=medium

  * debian/tests/run-demos: decompress python scripts before testing
  * apply upstream patches demo_perftest_efcb00a.patch and
    demo_poisson3d_1821d0c.patch to fix builds of demos perftest and
    poisson3d.
    - poisson3d is sequential only (don't use for MPI tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Sep 2018 17:28:46 +0800

petsc4py (3.9.1-3) unstable; urgency=medium

  * Add debian/tests (autopkgtest) to run tests and demos.
  * Debian patch demo_fixes.patch enables demos to run:
    - exclude poisson3d,perftest (upstream Issues #111,#112)
    - remove clean:: (double colon) in makefiles
    - kspsolve: ICC requires complex number support
    - bratu2d does not work under MPI
  * Standards-Version: 4.2.1
  * mark python-petsc4py-docs as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Sep 2018 21:02:24 +0800
