=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.1.5
-Build-Depends: debhelper (>= 11), dh-python,
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12), dh-python,
  python-all-dev (>= 2.6), python3-all-dev (>= 3.3),
  python3-distutils,
  cython (>= 0.22), cython3 (>= 0.22),
  python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libpetsc-real3.9-dev, chrpath,
+ libpetsc-real3.10-dev, libpetsc-complex3.10-dev,
+ chrpath,
  mpi-default-dev, libhdf5-mpi-dev,
  libjs-jquery (>= 3.1.0),
  libjs-underscore (>= 1.3.1)
@@ -19,7 +20,7 @@
 
 Package: python-petsc4py
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: swig, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-petsc4py-docs
 Conflicts: python-petsc
 Replaces: python-petsc
@@ -30,22 +31,52 @@
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 2 bindings to almost all functions of PETSc.
+ This package provides Python 2 bindings to almost all functions of PETSc
+ with real number support.
 
 Package: python3-petsc4py
-Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Architecture: all
+Depends: python3-petsc4py-real | python3-petsc4py-complex, ${misc:Depends}
 Recommends: python-petsc4py-docs
-XB-Python-Version: ${python3:Versions}
 Description: Python 3 bindings for PETSc libraries
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc.
+ This is a dummy package that depends on the python3 petsc4py package with
+ either real or complex number support.
+
+Package: python3-petsc4py-real
+Architecture: any
+Depends: swig, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-petsc4py (<< 3.10)
+Recommends: python-petsc4py-docs
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for PETSc libraries (real numbers)
+ PETSc is a suite of data structures and routines for the scalable (parallel)
+ solution of scientific applications modeled by partial differential equations.
+ It employs the MPI standard for all message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of PETSc
+ with real number support.
+
+Package: python3-petsc4py-complex
+Architecture: any
+Depends: swig, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Conflicts: python3-petsc4py (<< 3.10)
+Recommends: python-petsc4py-docs
+XB-Python-Version: ${python3:Versions}
+Description: Python 3 bindings for PETSc libraries (complex numbers)
+ PETSc is a suite of data structures and routines for the scalable (parallel)
+ solution of scientific applications modeled by partial differential equations.
+ It employs the MPI standard for all message-passing communication.
+ .
+ This package provides Python 3 bindings to almost all functions of PETSc
+ with complex number support.
 
 Package: python-petsc4py-docs
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-petsc4py | python3-petsc4py
