=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
-
-export PYBUILD_NAME = petsc4py
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -15,9 +13,12 @@
 DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 
+export PETSC4PY_VERSION=$(DEB_UPSTREAM_VERSION)
+
 # use only major.minor as PETSc version (not major.minor.patch)
 PETSC_VERSION=$(shell echo $(DEB_UPSTREAM_VERSION) | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')$(PETSC_EXT)
-export PETSC_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
+export PETSC_DIR_REAL=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-real
+export PETSC_DIR_COMPLEX=/usr/lib/petscdir/petsc$(PETSC_VERSION)/$(DEB_HOST_MULTIARCH)-complex
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -31,23 +32,39 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
 	rm -rf .eggs
 
-override_dh_auto_build:
-	PETSC_DIR=$(PETSC_DIR)  dh_auto_build
+# no need to build anything for arch-indep packages (docs, dummy package)
+override_dh_auto_build-indep: ;
+override_dh_auto_install-indep: ;
+
+override_dh_auto_build-arch:
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-petsc4py -ppython3-petsc4py-real -- --build-args=--force
+	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-complex
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so
 
-override_dh_auto_install:
-	PETSC_DIR=$(PETSC_DIR)  dh_auto_install
+override_dh_auto_install-arch:
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-petsc4py -ppython3-petsc4py-real
+	for p in debian/python3-petsc4py-real/usr/lib/python3*/dist-packages/petsc4py*; do \
+	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/petsc4py/petsc4py_real/"); \
+	done
+	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_install -ppython3-petsc4py-complex
+	for p in debian/python3-petsc4py-complex/usr/lib/python3*/dist-packages/petsc4py*; do \
+	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/petsc4py/petsc4py_complex/"); \
+	done
+
+override_dh_installdocs-arch:
+	dh_installdocs -a debian/README.Debian
 
 override_dh_installdocs-indep:
-	dh_installdocs
+	dh_installdocs -i debian/README.Debian
 	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery*.js
 	ln -sf /usr/share/javascript/jquery/jquery.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/jquery.js
 	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore*.js
@@ -60,7 +77,14 @@
 override_dh_python3:
 	dh_python3
 	dh_numpy3
+	dh_python2
+	dh_numpy
 
 override_dh_compress:
 	dh_compress -Xpdf
 
+override_dh_installdeb:
+	dh_installdeb
+	for pkg in $$(dh_listpackages -a); do \
+	  sed -i -e 's/__PETSC4PY_VERSION__/$(PETSC4PY_VERSION)/' debian/$$pkg/DEBIAN/*; \
+	done
