## petsc4py 3.11.0

=== debian/changelog ===
petsc4py (3.11.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-petsc4py (python2 is deprecated)
  * debian patch demo-wrap-swig-compile.patch adds PETSc CFLAGS
    (include paths) to allow the wrap-swig demo to compile
  * autopkgtest: run debian/tests using in-built scripts, not pytest-3

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 03:05:51 +0800

petsc4py (3.11.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch underlinking_fix.patch
  * Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Apr 2019 11:38:25 +0800
