=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12), dh-python,
- python-all-dev (>= 2.6), python3-all-dev (>= 3.3),
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), dh-python,
+ python3-all-dev (>= 3.3),
  python3-distutils,
- cython (>= 0.22), cython3 (>= 0.22),
- python-numpy (>= 1:1.4.1-4~), python3-numpy,
- libpetsc-real3.10-dev, libpetsc-complex3.10-dev,
+ cython3 (>= 0.22),
+ python3-numpy (>= 1:1.4.1-4~),
+ libpetsc-real3.11-dev, libpetsc-complex3.11-dev,
  chrpath,
  mpi-default-dev, libhdf5-mpi-dev,
  libjs-jquery (>= 3.1.0),
@@ -17,22 +17,6 @@
 Homepage: https://bitbucket.org/petsc/petsc4py
 Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
 Vcs-Browser: https://salsa.debian.org/science-team/petsc4py
-
-Package: python-petsc4py
-Architecture: any
-Depends: swig, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-petsc4py-docs
-Conflicts: python-petsc
-Replaces: python-petsc
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: Python 2 bindings for PETSc libraries
- PETSc is a suite of data structures and routines for the scalable (parallel)
- solution of scientific applications modeled by partial differential equations.
- It employs the MPI standard for all message-passing communication.
- .
- This package provides Python 2 bindings to almost all functions of PETSc
- with real number support.
 
 Package: python3-petsc4py
 Architecture: all
