=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh $@ --with python2,python3 --buildsystem=pybuild
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh $@ --with python3 --buildsystem=pybuild
 	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
@@ -44,14 +44,14 @@
 override_dh_auto_install-indep: ;
 
 override_dh_auto_build-arch:
-	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython-petsc4py -ppython3-petsc4py-real -- --build-args=--force
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_build -ppython3-petsc4py-real -- --build-args=--force
 	PYBUILD_NAME=petsc4py_complex PETSC_DIR=$(PETSC_DIR_COMPLEX)  dh_auto_build -ppython3-petsc4py-complex
 	# petsc4py embeds the deep PETSC_DIR path as RPATH in its library.
 	# Swap it out for a standard path, or else dh_shlibdeps gets confused
 	chrpath -d .pybuild/*python*/build/petsc4py/lib/PETSc*.so
 
 override_dh_auto_install-arch:
-	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython-petsc4py -ppython3-petsc4py-real
+	PYBUILD_NAME=petsc4py_real PETSC_DIR=$(PETSC_DIR_REAL)  dh_auto_install -ppython3-petsc4py-real
 	for p in debian/python3-petsc4py-real/usr/lib/python3*/dist-packages/petsc4py*; do \
 	  mv $$p $$(dirname $$p)/$$( basename $$p | sed "s/petsc4py/petsc4py_real/"); \
 	done
@@ -70,15 +70,9 @@
 	rm debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore*.js
 	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-docs/usr/share/doc/python-petsc4py-docs/usrman/_static/underscore.js
 
-override_dh_python2:
-	dh_python2
-	dh_numpy
-
 override_dh_python3:
 	dh_python3
 	dh_numpy3
-	dh_python2
-	dh_numpy
 
 override_dh_compress:
 	dh_compress -Xpdf
